# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

from evotemailings.mailings import BaseMailing


class EmailChangeOldMail(BaseMailing):
    """ """
    template_name = 'evoteusers/mails/email_change_old.html'
    subject = "eVotUM - Alteração do endereço de correio eletrónico de" +\
              "comunicação | Change of email address"


class MethodChangeMail(BaseMailing):
    """ """
    template_name = 'evoteusers/mails/method_change.html'
    subject = "eVotUM - Alteração do mecanismo de envio de chave de" +\
              " segurança | Change of security key sending method"


class ValidateNoticeMail(BaseMailing):
    """ """
    template_name = 'evoteusers/mails/email_validate.html'
    subject = "eVotUM - Alteração do endereço de correio eletrónico de" +\
              " comunicação | Change of email address"
    subject = _('eVotUM - Change of email address')
